ApplicationClientProtocolPBClientImpl (Apache Hadoop YARN Common 3.5.0 API)
Description: declaration: package: org.apache.hadoop.yarn.api.impl.pb.client, class: ApplicationClientProtocolPBClientImpl

Package org.apache.hadoop.yarn.api.impl.pb.client

# Class ApplicationClientProtocolPBClientImpl

java.lang.Object
org.apache.hadoop.yarn.api.impl.pb.client.ApplicationClientProtocolPBClientImpl

All Implemented Interfaces:
  `Closeable`, `AutoCloseable`, `org.apache.hadoop.yarn.api.ApplicationBaseProtocol`, `org.apache.hadoop.yarn.api.ApplicationClientProtocol`

@Private public class ApplicationClientProtocolPBClientImpl extends Object implements org.apache.hadoop.yarn.api.ApplicationClientProtocol, Closeable

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ApplicationClientProtocolPBClientImpl(long clientVersion, InetSocketAddress addr, org.apache.hadoop.conf.Configuration conf)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `org.apache.hadoop.yarn.api.protocolrecords.CancelDelegationTokenResponse`
  `cancelDelegationToken(org.apache.hadoop.yarn.api.protocolrecords.CancelDelegationTokenRequest request)`
  `void`
  `close()`
  `org.apache.hadoop.yarn.api.protocolrecords.ReservationDeleteResponse`
  `deleteReservation(org.apache.hadoop.yarn.api.protocolrecords.ReservationDeleteRequest request)`
  `org.apache.hadoop.yarn.api.protocolrecords.FailApplicationAttemptResponse`
  `failApplicationAttempt(org.apache.hadoop.yarn.api.protocolrecords.FailApplicationAttemptRequest request)`
  `org.apache.hadoop.yarn.api.protocolrecords.KillApplicationResponse`
  `forceKillApplication(org.apache.hadoop.yarn.api.protocolrecords.KillApplicationRequest request)`
  `org.apache.hadoop.yarn.api.protocolrecords.GetApplicationAttemptReportResponse`
  `getApplicationAttemptReport(org.apache.hadoop.yarn.api.protocolrecords.GetApplicationAttemptReportRequest request)`
  `org.apache.hadoop.yarn.api.protocolrecords.GetApplicationAttemptsResponse`
  `getApplicationAttempts(org.apache.hadoop.yarn.api.protocolrecords.GetApplicationAttemptsRequest request)`
  `org.apache.hadoop.yarn.api.protocolrecords.GetApplicationReportResponse`
  `getApplicationReport(org.apache.hadoop.yarn.api.protocolrecords.GetApplicationReportRequest request)`
  `org.apache.hadoop.yarn.api.protocolrecords.GetApplicationsResponse`
  `getApplications(org.apache.hadoop.yarn.api.protocolrecords.GetApplicationsRequest request)`
  `org.apache.hadoop.yarn.api.protocolrecords.GetAttributesToNodesResponse`
  `getAttributesToNodes(org.apache.hadoop.yarn.api.protocolrecords.GetAttributesToNodesRequest request)`
  `org.apache.hadoop.yarn.api.protocolrecords.GetClusterMetricsResponse`
  `getClusterMetrics(org.apache.hadoop.yarn.api.protocolrecords.GetClusterMetricsRequest request)`
  `org.apache.hadoop.yarn.api.protocolrecords.GetClusterNodeAttributesResponse`
  `getClusterNodeAttributes(org.apache.hadoop.yarn.api.protocolrecords.GetClusterNodeAttributesRequest request)`
  `org.apache.hadoop.yarn.api.protocolrecords.GetClusterNodeLabelsResponse`
  `getClusterNodeLabels(org.apache.hadoop.yarn.api.protocolrecords.GetClusterNodeLabelsRequest request)`
  `org.apache.hadoop.yarn.api.protocolrecords.GetClusterNodesResponse`
  `getClusterNodes(org.apache.hadoop.yarn.api.protocolrecords.GetClusterNodesRequest request)`
  `org.apache.hadoop.yarn.api.protocolrecords.GetContainerReportResponse`
  `getContainerReport(org.apache.hadoop.yarn.api.protocolrecords.GetContainerReportRequest request)`
  `org.apache.hadoop.yarn.api.protocolrecords.GetContainersResponse`
  `getContainers(org.apache.hadoop.yarn.api.protocolrecords.GetContainersRequest request)`
  `org.apache.hadoop.yarn.api.protocolrecords.GetDelegationTokenResponse`
  `getDelegationToken(org.apache.hadoop.yarn.api.protocolrecords.GetDelegationTokenRequest request)`
  `org.apache.hadoop.yarn.api.protocolrecords.GetLabelsToNodesResponse`
  `getLabelsToNodes(org.apache.hadoop.yarn.api.protocolrecords.GetLabelsToNodesRequest request)`
  `org.apache.hadoop.yarn.api.protocolrecords.GetNewApplicationResponse`
  `getNewApplication(org.apache.hadoop.yarn.api.protocolrecords.GetNewApplicationRequest request)`
  `org.apache.hadoop.yarn.api.protocolrecords.GetNewReservationResponse`
  `getNewReservation(org.apache.hadoop.yarn.api.protocolrecords.GetNewReservationRequest request)`
  `org.apache.hadoop.yarn.api.protocolrecords.GetNodesToAttributesResponse`
  `getNodesToAttributes(org.apache.hadoop.yarn.api.protocolrecords.GetNodesToAttributesRequest request)`
  `org.apache.hadoop.yarn.api.protocolrecords.GetNodesToLabelsResponse`
  `getNodeToLabels(org.apache.hadoop.yarn.api.protocolrecords.GetNodesToLabelsRequest request)`
  `org.apache.hadoop.yarn.api.protocolrecords.GetQueueInfoResponse`
  `getQueueInfo(org.apache.hadoop.yarn.api.protocolrecords.GetQueueInfoRequest request)`
  `org.apache.hadoop.yarn.api.protocolrecords.GetQueueUserAclsInfoResponse`
  `getQueueUserAcls(org.apache.hadoop.yarn.api.protocolrecords.GetQueueUserAclsInfoRequest request)`
  `org.apache.hadoop.yarn.api.protocolrecords.GetResourceProfileResponse`
  `getResourceProfile(org.apache.hadoop.yarn.api.protocolrecords.GetResourceProfileRequest request)`
  `org.apache.hadoop.yarn.api.protocolrecords.GetAllResourceProfilesResponse`
  `getResourceProfiles(org.apache.hadoop.yarn.api.protocolrecords.GetAllResourceProfilesRequest request)`
  `org.apache.hadoop.yarn.api.protocolrecords.GetAllResourceTypeInfoResponse`
  `getResourceTypeInfo(org.apache.hadoop.yarn.api.protocolrecords.GetAllResourceTypeInfoRequest request)`
  `org.apache.hadoop.yarn.api.protocolrecords.ReservationListResponse`
  `listReservations(org.apache.hadoop.yarn.api.protocolrecords.ReservationListRequest request)`
  `org.apache.hadoop.yarn.api.protocolrecords.MoveApplicationAcrossQueuesResponse`
  `moveApplicationAcrossQueues(org.apache.hadoop.yarn.api.protocolrecords.MoveApplicationAcrossQueuesRequest request)`
  `org.apache.hadoop.yarn.api.protocolrecords.RenewDelegationTokenResponse`
  `renewDelegationToken(org.apache.hadoop.yarn.api.protocolrecords.RenewDelegationTokenRequest request)`
  `org.apache.hadoop.yarn.api.protocolrecords.SignalContainerResponse`
  `signalToContainer(org.apache.hadoop.yarn.api.protocolrecords.SignalContainerRequest request)`
  `org.apache.hadoop.yarn.api.protocolrecords.SubmitApplicationResponse`
  `submitApplication(org.apache.hadoop.yarn.api.protocolrecords.SubmitApplicationRequest request)`
  `org.apache.hadoop.yarn.api.protocolrecords.ReservationSubmissionResponse`
  `submitReservation(org.apache.hadoop.yarn.api.protocolrecords.ReservationSubmissionRequest request)`
  `org.apache.hadoop.yarn.api.protocolrecords.UpdateApplicationPriorityResponse`
  `updateApplicationPriority(org.apache.hadoop.yarn.api.protocolrecords.UpdateApplicationPriorityRequest request)`
  `org.apache.hadoop.yarn.api.protocolrecords.UpdateApplicationTimeoutsResponse`
  `updateApplicationTimeouts(org.apache.hadoop.yarn.api.protocolrecords.UpdateApplicationTimeoutsRequest request)`
  `org.apache.hadoop.yarn.api.protocolrecords.ReservationUpdateResponse`
  `updateReservation(org.apache.hadoop.yarn.api.protocolrecords.ReservationUpdateRequest request)`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### ApplicationClientProtocolPBClientImpl

    public ApplicationClientProtocolPBClientImpl(long clientVersion, InetSocketAddress addr, org.apache.hadoop.conf.Configuration conf) throws IOException
    Throws:
      `IOException`

- ## Method Details

  - ### close

    public void close()
    Specified by:
      `close` in interface `AutoCloseable`
    Specified by:
      `close` in interface `Closeable`

  - ### failApplicationAttempt

    public org.apache.hadoop.yarn.api.protocolrecords.FailApplicationAttemptResponse failApplicationAttempt(org.apache.hadoop.yarn.api.protocolrecords.FailApplicationAttemptRequest request) throws org.apache.hadoop.yarn.exceptions.YarnException, IOException
    Specified by:
      `failApplicationAttempt` in interface `org.apache.hadoop.yarn.api.ApplicationClientProtocol`
    Throws:
      `org.apache.hadoop.yarn.exceptions.YarnException`
      `IOException`

  - ### forceKillApplication

    public org.apache.hadoop.yarn.api.protocolrecords.KillApplicationResponse forceKillApplication(org.apache.hadoop.yarn.api.protocolrecords.KillApplicationRequest request) throws org.apache.hadoop.yarn.exceptions.YarnException, IOException
    Specified by:
      `forceKillApplication` in interface `org.apache.hadoop.yarn.api.ApplicationClientProtocol`
    Throws:
      `org.apache.hadoop.yarn.exceptions.YarnException`
      `IOException`

  - ### getApplicationReport

    public org.apache.hadoop.yarn.api.protocolrecords.GetApplicationReportResponse getApplicationReport(org.apache.hadoop.yarn.api.protocolrecords.GetApplicationReportRequest request) throws org.apache.hadoop.yarn.exceptions.YarnException, IOException
    Specified by:
      `getApplicationReport` in interface `org.apache.hadoop.yarn.api.ApplicationBaseProtocol`
    Throws:
      `org.apache.hadoop.yarn.exceptions.YarnException`
      `IOException`

  - ### getClusterMetrics

    public org.apache.hadoop.yarn.api.protocolrecords.GetClusterMetricsResponse getClusterMetrics(org.apache.hadoop.yarn.api.protocolrecords.GetClusterMetricsRequest request) throws org.apache.hadoop.yarn.exceptions.YarnException, IOException
    Specified by:
      `getClusterMetrics` in interface `org.apache.hadoop.yarn.api.ApplicationClientProtocol`
    Throws:
      `org.apache.hadoop.yarn.exceptions.YarnException`
      `IOException`

  - ### getNewApplication

    public org.apache.hadoop.yarn.api.protocolrecords.GetNewApplicationResponse getNewApplication(org.apache.hadoop.yarn.api.protocolrecords.GetNewApplicationRequest request) throws org.apache.hadoop.yarn.exceptions.YarnException, IOException
    Specified by:
      `getNewApplication` in interface `org.apache.hadoop.yarn.api.ApplicationClientProtocol`
    Throws:
      `org.apache.hadoop.yarn.exceptions.YarnException`
      `IOException`

  - ### submitApplication

    public org.apache.hadoop.yarn.api.protocolrecords.SubmitApplicationResponse submitApplication(org.apache.hadoop.yarn.api.protocolrecords.SubmitApplicationRequest request) throws org.apache.hadoop.yarn.exceptions.YarnException, IOException
    Specified by:
      `submitApplication` in interface `org.apache.hadoop.yarn.api.ApplicationClientProtocol`
    Throws:
      `org.apache.hadoop.yarn.exceptions.YarnException`
      `IOException`

  - ### getApplications

    public org.apache.hadoop.yarn.api.protocolrecords.GetApplicationsResponse getApplications(org.apache.hadoop.yarn.api.protocolrecords.GetApplicationsRequest request) throws org.apache.hadoop.yarn.exceptions.YarnException, IOException
    Specified by:
      `getApplications` in interface `org.apache.hadoop.yarn.api.ApplicationBaseProtocol`
    Throws:
      `org.apache.hadoop.yarn.exceptions.YarnException`
      `IOException`

  - ### getClusterNodes

    public org.apache.hadoop.yarn.api.protocolrecords.GetClusterNodesResponse getClusterNodes(org.apache.hadoop.yarn.api.protocolrecords.GetClusterNodesRequest request) throws org.apache.hadoop.yarn.exceptions.YarnException, IOException
    Specified by:
      `getClusterNodes` in interface `org.apache.hadoop.yarn.api.ApplicationClientProtocol`
    Throws:
      `org.apache.hadoop.yarn.exceptions.YarnException`
      `IOException`

  - ### getQueueInfo

    public org.apache.hadoop.yarn.api.protocolrecords.GetQueueInfoResponse getQueueInfo(org.apache.hadoop.yarn.api.protocolrecords.GetQueueInfoRequest request) throws org.apache.hadoop.yarn.exceptions.YarnException, IOException
    Specified by:
      `getQueueInfo` in interface `org.apache.hadoop.yarn.api.ApplicationClientProtocol`
    Throws:
      `org.apache.hadoop.yarn.exceptions.YarnException`
      `IOException`

  - ### getQueueUserAcls

    public org.apache.hadoop.yarn.api.protocolrecords.GetQueueUserAclsInfoResponse getQueueUserAcls(org.apache.hadoop.yarn.api.protocolrecords.GetQueueUserAclsInfoRequest request) throws org.apache.hadoop.yarn.exceptions.YarnException, IOException
    Specified by:
      `getQueueUserAcls` in interface `org.apache.hadoop.yarn.api.ApplicationClientProtocol`
    Throws:
      `org.apache.hadoop.yarn.exceptions.YarnException`
      `IOException`

  - ### getDelegationToken

    public org.apache.hadoop.yarn.api.protocolrecords.GetDelegationTokenResponse getDelegationToken(org.apache.hadoop.yarn.api.protocolrecords.GetDelegationTokenRequest request) throws org.apache.hadoop.yarn.exceptions.YarnException, IOException
    Specified by:
      `getDelegationToken` in interface `org.apache.hadoop.yarn.api.ApplicationBaseProtocol`
    Throws:
      `org.apache.hadoop.yarn.exceptions.YarnException`
      `IOException`

  - ### renewDelegationToken

    public org.apache.hadoop.yarn.api.protocolrecords.RenewDelegationTokenResponse renewDelegationToken(org.apache.hadoop.yarn.api.protocolrecords.RenewDelegationTokenRequest request) throws org.apache.hadoop.yarn.exceptions.YarnException, IOException
    Specified by:
      `renewDelegationToken` in interface `org.apache.hadoop.yarn.api.ApplicationBaseProtocol`
    Throws:
      `org.apache.hadoop.yarn.exceptions.YarnException`
      `IOException`

  - ### cancelDelegationToken

    public org.apache.hadoop.yarn.api.protocolrecords.CancelDelegationTokenResponse cancelDelegationToken(org.apache.hadoop.yarn.api.protocolrecords.CancelDelegationTokenRequest request) throws org.apache.hadoop.yarn.exceptions.YarnException, IOException
    Specified by:
      `cancelDelegationToken` in interface `org.apache.hadoop.yarn.api.ApplicationBaseProtocol`
    Throws:
      `org.apache.hadoop.yarn.exceptions.YarnException`
      `IOException`

  - ### moveApplicationAcrossQueues

    public org.apache.hadoop.yarn.api.protocolrecords.MoveApplicationAcrossQueuesResponse moveApplicationAcrossQueues(org.apache.hadoop.yarn.api.protocolrecords.MoveApplicationAcrossQueuesRequest request) throws org.apache.hadoop.yarn.exceptions.YarnException, IOException
    Specified by:
      `moveApplicationAcrossQueues` in interface `org.apache.hadoop.yarn.api.ApplicationClientProtocol`
    Throws:
      `org.apache.hadoop.yarn.exceptions.YarnException`
      `IOException`

  - ### getApplicationAttemptReport

    public org.apache.hadoop.yarn.api.protocolrecords.GetApplicationAttemptReportResponse getApplicationAttemptReport(org.apache.hadoop.yarn.api.protocolrecords.GetApplicationAttemptReportRequest request) throws org.apache.hadoop.yarn.exceptions.YarnException, IOException
    Specified by:
      `getApplicationAttemptReport` in interface `org.apache.hadoop.yarn.api.ApplicationBaseProtocol`
    Throws:
      `org.apache.hadoop.yarn.exceptions.YarnException`
      `IOException`

  - ### getApplicationAttempts

    public org.apache.hadoop.yarn.api.protocolrecords.GetApplicationAttemptsResponse getApplicationAttempts(org.apache.hadoop.yarn.api.protocolrecords.GetApplicationAttemptsRequest request) throws org.apache.hadoop.yarn.exceptions.YarnException, IOException
    Specified by:
      `getApplicationAttempts` in interface `org.apache.hadoop.yarn.api.ApplicationBaseProtocol`
    Throws:
      `org.apache.hadoop.yarn.exceptions.YarnException`
      `IOException`

  - ### getContainerReport

    public org.apache.hadoop.yarn.api.protocolrecords.GetContainerReportResponse getContainerReport(org.apache.hadoop.yarn.api.protocolrecords.GetContainerReportRequest request) throws org.apache.hadoop.yarn.exceptions.YarnException, IOException
    Specified by:
      `getContainerReport` in interface `org.apache.hadoop.yarn.api.ApplicationBaseProtocol`
    Throws:
      `org.apache.hadoop.yarn.exceptions.YarnException`
      `IOException`

  - ### getContainers

    public org.apache.hadoop.yarn.api.protocolrecords.GetContainersResponse getContainers(org.apache.hadoop.yarn.api.protocolrecords.GetContainersRequest request) throws org.apache.hadoop.yarn.exceptions.YarnException, IOException
    Specified by:
      `getContainers` in interface `org.apache.hadoop.yarn.api.ApplicationBaseProtocol`
    Throws:
      `org.apache.hadoop.yarn.exceptions.YarnException`
      `IOException`

  - ### getNewReservation

    public org.apache.hadoop.yarn.api.protocolrecords.GetNewReservationResponse getNewReservation(org.apache.hadoop.yarn.api.protocolrecords.GetNewReservationRequest request) throws org.apache.hadoop.yarn.exceptions.YarnException, IOException
    Specified by:
      `getNewReservation` in interface `org.apache.hadoop.yarn.api.ApplicationClientProtocol`
    Throws:
      `org.apache.hadoop.yarn.exceptions.YarnException`
      `IOException`

  - ### submitReservation

    public org.apache.hadoop.yarn.api.protocolrecords.ReservationSubmissionResponse submitReservation(org.apache.hadoop.yarn.api.protocolrecords.ReservationSubmissionRequest request) throws org.apache.hadoop.yarn.exceptions.YarnException, IOException
    Specified by:
      `submitReservation` in interface `org.apache.hadoop.yarn.api.ApplicationClientProtocol`
    Throws:
      `org.apache.hadoop.yarn.exceptions.YarnException`
      `IOException`

  - ### updateReservation

    public org.apache.hadoop.yarn.api.protocolrecords.ReservationUpdateResponse updateReservation(org.apache.hadoop.yarn.api.protocolrecords.ReservationUpdateRequest request) throws org.apache.hadoop.yarn.exceptions.YarnException, IOException
    Specified by:
      `updateReservation` in interface `org.apache.hadoop.yarn.api.ApplicationClientProtocol`
    Throws:
      `org.apache.hadoop.yarn.exceptions.YarnException`
      `IOException`

  - ### deleteReservation

    public org.apache.hadoop.yarn.api.protocolrecords.ReservationDeleteResponse deleteReservation(org.apache.hadoop.yarn.api.protocolrecords.ReservationDeleteRequest request) throws org.apache.hadoop.yarn.exceptions.YarnException, IOException
    Specified by:
      `deleteReservation` in interface `org.apache.hadoop.yarn.api.ApplicationClientProtocol`
    Throws:
      `org.apache.hadoop.yarn.exceptions.YarnException`
      `IOException`

  - ### listReservations

    public org.apache.hadoop.yarn.api.protocolrecords.ReservationListResponse listReservations(org.apache.hadoop.yarn.api.protocolrecords.ReservationListRequest request) throws org.apache.hadoop.yarn.exceptions.YarnException, IOException
    Specified by:
      `listReservations` in interface `org.apache.hadoop.yarn.api.ApplicationClientProtocol`
    Throws:
      `org.apache.hadoop.yarn.exceptions.YarnException`
      `IOException`

  - ### getNodeToLabels

    public org.apache.hadoop.yarn.api.protocolrecords.GetNodesToLabelsResponse getNodeToLabels(org.apache.hadoop.yarn.api.protocolrecords.GetNodesToLabelsRequest request) throws org.apache.hadoop.yarn.exceptions.YarnException, IOException
    Specified by:
      `getNodeToLabels` in interface `org.apache.hadoop.yarn.api.ApplicationClientProtocol`
    Throws:
      `org.apache.hadoop.yarn.exceptions.YarnException`
      `IOException`

  - ### getLabelsToNodes

    public org.apache.hadoop.yarn.api.protocolrecords.GetLabelsToNodesResponse getLabelsToNodes(org.apache.hadoop.yarn.api.protocolrecords.GetLabelsToNodesRequest request) throws org.apache.hadoop.yarn.exceptions.YarnException, IOException
    Specified by:
      `getLabelsToNodes` in interface `org.apache.hadoop.yarn.api.ApplicationClientProtocol`
    Throws:
      `org.apache.hadoop.yarn.exceptions.YarnException`
      `IOException`

  - ### getClusterNodeLabels

    public org.apache.hadoop.yarn.api.protocolrecords.GetClusterNodeLabelsResponse getClusterNodeLabels(org.apache.hadoop.yarn.api.protocolrecords.GetClusterNodeLabelsRequest request) throws org.apache.hadoop.yarn.exceptions.YarnException, IOException
    Specified by:
      `getClusterNodeLabels` in interface `org.apache.hadoop.yarn.api.ApplicationClientProtocol`
    Throws:
      `org.apache.hadoop.yarn.exceptions.YarnException`
      `IOException`

  - ### updateApplicationPriority

    public org.apache.hadoop.yarn.api.protocolrecords.UpdateApplicationPriorityResponse updateApplicationPriority(org.apache.hadoop.yarn.api.protocolrecords.UpdateApplicationPriorityRequest request) throws org.apache.hadoop.yarn.exceptions.YarnException, IOException
    Specified by:
      `updateApplicationPriority` in interface `org.apache.hadoop.yarn.api.ApplicationClientProtocol`
    Throws:
      `org.apache.hadoop.yarn.exceptions.YarnException`
      `IOException`

  - ### signalToContainer

    public org.apache.hadoop.yarn.api.protocolrecords.SignalContainerResponse signalToContainer(org.apache.hadoop.yarn.api.protocolrecords.SignalContainerRequest request) throws org.apache.hadoop.yarn.exceptions.YarnException, IOException
    Specified by:
      `signalToContainer` in interface `org.apache.hadoop.yarn.api.ApplicationClientProtocol`
    Throws:
      `org.apache.hadoop.yarn.exceptions.YarnException`
      `IOException`

  - ### updateApplicationTimeouts

    public org.apache.hadoop.yarn.api.protocolrecords.UpdateApplicationTimeoutsResponse updateApplicationTimeouts(org.apache.hadoop.yarn.api.protocolrecords.UpdateApplicationTimeoutsRequest request) throws org.apache.hadoop.yarn.exceptions.YarnException, IOException
    Specified by:
      `updateApplicationTimeouts` in interface `org.apache.hadoop.yarn.api.ApplicationClientProtocol`
    Throws:
      `org.apache.hadoop.yarn.exceptions.YarnException`
      `IOException`

  - ### getResourceProfiles

    public org.apache.hadoop.yarn.api.protocolrecords.GetAllResourceProfilesResponse getResourceProfiles(org.apache.hadoop.yarn.api.protocolrecords.GetAllResourceProfilesRequest request) throws org.apache.hadoop.yarn.exceptions.YarnException, IOException
    Specified by:
      `getResourceProfiles` in interface `org.apache.hadoop.yarn.api.ApplicationClientProtocol`
    Throws:
      `org.apache.hadoop.yarn.exceptions.YarnException`
      `IOException`

  - ### getResourceProfile

    public org.apache.hadoop.yarn.api.protocolrecords.GetResourceProfileResponse getResourceProfile(org.apache.hadoop.yarn.api.protocolrecords.GetResourceProfileRequest request) throws org.apache.hadoop.yarn.exceptions.YarnException, IOException
    Specified by:
      `getResourceProfile` in interface `org.apache.hadoop.yarn.api.ApplicationClientProtocol`
    Throws:
      `org.apache.hadoop.yarn.exceptions.YarnException`
      `IOException`

  - ### getResourceTypeInfo

    public org.apache.hadoop.yarn.api.protocolrecords.GetAllResourceTypeInfoResponse getResourceTypeInfo(org.apache.hadoop.yarn.api.protocolrecords.GetAllResourceTypeInfoRequest request) throws org.apache.hadoop.yarn.exceptions.YarnException, IOException
    Specified by:
      `getResourceTypeInfo` in interface `org.apache.hadoop.yarn.api.ApplicationClientProtocol`
    Throws:
      `org.apache.hadoop.yarn.exceptions.YarnException`
      `IOException`

  - ### getAttributesToNodes

    public org.apache.hadoop.yarn.api.protocolrecords.GetAttributesToNodesResponse getAttributesToNodes(org.apache.hadoop.yarn.api.protocolrecords.GetAttributesToNodesRequest request) throws org.apache.hadoop.yarn.exceptions.YarnException, IOException
    Specified by:
      `getAttributesToNodes` in interface `org.apache.hadoop.yarn.api.ApplicationClientProtocol`
    Throws:
      `org.apache.hadoop.yarn.exceptions.YarnException`
      `IOException`

  - ### getClusterNodeAttributes

    public org.apache.hadoop.yarn.api.protocolrecords.GetClusterNodeAttributesResponse getClusterNodeAttributes(org.apache.hadoop.yarn.api.protocolrecords.GetClusterNodeAttributesRequest request) throws org.apache.hadoop.yarn.exceptions.YarnException, IOException
    Specified by:
      `getClusterNodeAttributes` in interface `org.apache.hadoop.yarn.api.ApplicationClientProtocol`
    Throws:
      `org.apache.hadoop.yarn.exceptions.YarnException`
      `IOException`

  - ### getNodesToAttributes

    public org.apache.hadoop.yarn.api.protocolrecords.GetNodesToAttributesResponse getNodesToAttributes(org.apache.hadoop.yarn.api.protocolrecords.GetNodesToAttributesRequest request) throws org.apache.hadoop.yarn.exceptions.YarnException, IOException
    Specified by:
      `getNodesToAttributes` in interface `org.apache.hadoop.yarn.api.ApplicationClientProtocol`
    Throws:
      `org.apache.hadoop.yarn.exceptions.YarnException`
      `IOException`